/* This is a template for a PL handler written in C: */

#include "executor/spi.h"
#include "commands/trigger.h"
#include "utils/elog.h"
#include "fmgr.h"
#include "access/heapam.h"
#include "utils/syscache.h"
#include "catalog/pg_proc.h"
#include "catalog/pg_type.h"

PG_FUNCTION_INFO_V1(plsample_call_handler);

Datum
plsample_call_handler (PG_FUNCTION_ARGS)
{
   Datum   retval;
   if (CALLED_AS_TRIGGER(fcinfo))
   {
      /*
       * Called as a trigger procedure
       */
      TriggerData *trigdata = (TriggerData *) fcinfo->context;
      retval = 0;

   } else {
      /*
       * Called as a function
       */
      retval = 1;
   }

   return retval;
}

